package com.xs.core.controller.openapi;

import com.alibaba.fastjson2.JSONObject;
import com.xs.core.common.annotation.EntryIgnore;
import com.xs.core.model.ResponseResult;
import com.xs.core.service.task.TaskCallbackService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/openapi/v1")
@Slf4j
@Tag(description = "开放接口", name = "开放接口")
@EntryIgnore
public class OpenApiController {
    @Autowired
    private TaskCallbackService callbackService;

    @Operation(summary = "任务回调", description = "任务回调")
    @PostMapping("/handleTaskCallback")
    public ResponseResult<?> handleTaskCallback(@RequestBody JSONObject jsonObject) {
        callbackService.handleTaskCallback(jsonObject);
        return ResponseResult.success();
    }
}
