package com.xs.core.model.coin.msg;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 团队分享产出表
 * </p>
 */
@Data
@Schema(name = "TeamShareMessage", description = "团队分享产出表")
public class TeamShareMessage implements Serializable, RetryableMessage {

    /**
     * 用户
     */
    @Schema(description = "用户")
    private Long userId;

    /**
     * 消息id 用于幂等性校验
     */
    @Schema(description = "消息id 用于幂等性校验")
    private String msgId;

    /**
     * 批次id
     */
    @Schema(description = "批次id")
    private String batchId;

    /**
     * 金币产出
     */
    @Schema(description = "金币产出")
    private BigDecimal goldCoinYieldTotal;

    /**
     * 开始秒级时间戳
     */
    @Schema(description = "开始秒级时间戳")
    private Long startTimestamp;

    /**
     * 结束秒级时间戳
     */
    @Schema(description = "结束秒级时间戳")
    private Long endTimestamp;

    /**
     * 产出时间
     */
    @Schema(description = "产出时间")
    private LocalDateTime yieldTime;

    private int retryCount;

}
