package com.xs.core.model.task.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Schema(description = "任务信息响应参数")
public class TaskInfoResp implements Serializable {
    /**
     * id
     */
    @Schema(description = "任务id")
    private String id;

    /**
     * 任务名称
     */
    @Schema(description = "任务名称")
    private String name;

    /**
     * 任务说明
     */
    @Schema(description = "任务说明")
    private String instruction;

    /**
     * 任务图标
     */
    @Schema(description = "任务图标")
    private String taskIcon;

    /**
     * 任务链接
     */
    @Schema(description = "任务链接")
    private String taskLink;

    /**
     * 任务分类编码
     */
    @Schema(description = "任务分类编码")
    private String categoryCode;

    /**
     * 金币数量
     */
    @Schema(description = "金币数量")
    private Integer goldCoin;

    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sortNum;

    /**
     * 任务状态: 0-未开始, 1-进行中, 2-已完成, 3-已失败
     */
    @Schema(description = "任务状态: 0-未开始, 1-进行中, 2-已完成, 3-已失败")
    private Integer userTaskStatus;

}
