package com.xs.core.model.team.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 邀请用户任务金币奖励规则
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
@Getter
@Setter
@TableName("b_invite_rewards_rule")
public class InviteRewardsRule extends Model<InviteRewardsRule> {

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 奖励名称
     */
    @TableField("rewards_name")
    private String rewardsName;

    /**
     * 奖励说明
     */
    @TableField("rewards_describe")
    private String rewardsDescribe;

    /**
     * 邀请好友数量
     */
    @TableField("invite_num")
    private Integer inviteNum;

    /**
     * 金币数量
     */
    @TableField("gold_coin_num")
    private Integer goldCoinNum;

    /**
     * 奖励层级
     */
    @TableField("rewards_level")
    private Integer rewardsLevel;

    /**
     * 创建人
     */
    @TableField("created_by")
    private Long createdBy;

    /**
     * 创建时间
     */
    @TableField("created_time")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField("updated_by")
    private Long updatedBy;

    /**
     * 更新时间
     */
    @TableField("updated_time")
    private LocalDateTime updatedTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
