package com.xs.core.model.team.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * <p>
 * 邀请用户任务金币奖励领取记录
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
@Getter
@Setter
@TableName("b_invite_task_rewards_fetch_record")
@NoArgsConstructor
public class InviteTaskRewardsFetchRecord extends Model<InviteTaskRewardsFetchRecord> {

    public InviteTaskRewardsFetchRecord(Integer rewardsLevel, Integer goldCoinNum) {
        this.rewardsLevel = rewardsLevel;
        this.goldCoinNum = goldCoinNum;
    }

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 领取人id
     */
    @TableField("user_id")
    private Long userId;

    /**
     * 规则id
     */
    @TableField("rule_id")
    private String ruleId;

    /**
     * 奖励层级
     */
    @TableField("rewards_level")
    private Integer rewardsLevel;

    /**
     * 金币数量
     */
    @TableField("gold_coin_num")
    private Integer goldCoinNum;

    /**
     * 创建时间
     */
    @TableField("created_time")
    private LocalDateTime createdTime;

    @Override
    public Serializable pkVal() {
        return this.id;
    }
}
