package com.xs.core.model.user.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * 竞赛排行榜
 */
@Data
@Schema(name = "UserCompetitionResp", description = "竞赛排行榜")
public class UserCompetitionResp {
    /**
     * 排名
     */
    @Schema(description = "排名")
    private int ranking;

    /**
     * tg小程序id
     */
    @Schema(description = "tg小程序id")
    private String tgId;

    /**
     * tg账号
     */
    @Schema(description = "tg账号")
    private String tgAccount;

    /**
     * 名
     */
    @Schema(description = "名")
    private String firstName;

    /**
     * 姓
     */
    @Schema(description = "姓")
    private String lastName;

    /**
     * 昵称
     */
    @Schema(description = "昵称")
    private String nickname;

    /**
     * 真实姓名
     */
    @Schema(description = "真实姓名")
    private String realName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;

    /**
     * 金币余额
     */
    @Schema(description = "金币余额")
    private BigDecimal goldCoinAmount;

    /**
     * 金币总数量
     */
    @Schema(description = "金币总数量")
    private BigDecimal goldCoinTotalHis;

    /**
     * 脱敏处理
     *
     * @return
     */
    public String getTgAccount() {
        if (Objects.isNull(tgAccount)) {
            return "";
        }
        //脱敏处理 后几位用*号代替
        if (tgAccount.length() > 4) {
            tgAccount = tgAccount.substring(0, tgAccount.length() - 4) + "***";
        } else {
            //如过小于四位 则只显示前两位
            tgAccount = tgAccount.substring(0, 2) + "***";
        }
        return tgAccount;
    }

}
