package com.xs.core.model.wallet.resp;

import cn.hutool.core.util.ObjUtil;
import com.xs.core.common.constant.GoldCoinConstant;
import com.xs.core.model.coin.entity.UserCoinSpeedUpgradesRecord;
import com.xs.core.model.wallet.entity.UserWallet;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "钱包信息")
public class WalletInfoResp implements Serializable {

    @Schema(description = "总额")
    private BigDecimal totalBalance;

    @Schema(description = "可用余额")
    private BigDecimal availableBalance;

    @Schema(description = "产币总收益")
    private BigDecimal totalProfitPerHour;

    @Schema(description = "每小时收益")
    private BigDecimal profitPerHour;

    @Schema(description = "任务奖励")
    private BigDecimal taskRewards;

    @Schema(description = "团队收益")
    private BigDecimal teamSharing;

    @Schema(description = "邀请奖励")
    private BigDecimal shareRewards;

    @Schema(description = "空投")
    private BigDecimal resourcePlacement;

    @Schema(description = "真实货币余额")
    private BigDecimal moneyBalance;

    public WalletInfoResp(UserWallet wallet, BigDecimal totalProfitPerHour, BigDecimal shareRewards, BigDecimal taskRewards, BigDecimal teamSharing, BigDecimal airdrops, UserCoinSpeedUpgradesRecord speedUpgradesRecord) {
        this.totalProfitPerHour = totalProfitPerHour;
        this.shareRewards = shareRewards;
        this.taskRewards = taskRewards;
        this.teamSharing = teamSharing;
        this.resourcePlacement = airdrops;
        BigDecimal decimal = new BigDecimal(ObjUtil.isNotNull(speedUpgradesRecord) ? speedUpgradesRecord.getProductRate() : GoldCoinConstant.GOLD_INIT_RATE);
        this.profitPerHour = decimal.multiply(new BigDecimal(60 * 60L));
        this.totalBalance = wallet.getTotalBalance();
        this.availableBalance = wallet.getAvailableBalance();
        this.moneyBalance = wallet.getMoneyBalance();
    }
}
