package com.xs.core.service.competition;

import com.xs.core.model.user.resp.TeamCompetitionResp;
import com.xs.core.model.user.resp.UserCompetitionResp;

import java.util.List;

/**
 * 竞赛服务接口
 */
public interface CompetitionService {
    /**
     * 个人金币排行榜
     *
     * @param limit 限制
     * @return 用户金币排行信息
     */
    List<UserCompetitionResp> individualGoldCoinCompetitionRanking(int limit);

    /**
     * 团队邀请排行榜
     *
     * @param limit
     * @param invitee
     * @return
     */
    List<TeamCompetitionResp> teamInviteCompetitionRanking(int limit, int invitee);

    UserCompetitionResp getIndividualGoldCoinCompetitionInfo(Long userId);
}
