package com.xs.core.service.task;

import com.xs.core.model.task.entity.UserTaskRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户任务完成记录表 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
public interface IUserTaskRecordService extends IService<UserTaskRecord> {

    /**
     * 根据任务id和用户id查询用户任务完成记录
     *
     * @param taskId
     * @param userId
     * @return
     */
    UserTaskRecord getByTaskId(String taskId, Long userId);

    /**
     * 统计任务完成数量
     *
     * @param taskId
     * @return
     */
    Long statisticsTaskDoneCount(String taskId);
}
